(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// library properties:
lib.properties = {
	width: 550,
	height: 400,
	fps: 60,
	color: "#FFFFFF",
	manifest: []
};

// stage content:
(lib.drag140420 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		if (createjs.Touch.isSupported()) {
			createjs.Touch.enable(stage, true);
		}
		
		function mouseDownHandler(mouseDownEvent){
			console.log("down");
			var target = mouseDownEvent.target;
			var basex = target.x - mouseDownEvent.stageX;
			function pressMoveHandler(pressMoveEvent){
				console.log("move");
				target.x = basex + pressMoveEvent.stageX;
				stage.update();
			}
			function pressUpHandler(pressUpEvent){
				target.removeEventListener("pressmove", pressMoveHandler);
				target.removeEventListener("pressup", pressUpHandler);
				console.log("up");
			}
			target.addEventListener("pressmove", pressMoveHandler);
			target.addEventListener("pressup", pressUpHandler);
		}
		
		this.aa.addEventListener("mousedown",mouseDownHandler);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// レイヤー 1
	this.aa = new lib.aa();
	this.aa.setTransform(83,123,1,1,0,0,0,43,43);

	this.timeline.addTween(cjs.Tween.get(this.aa).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(314.5,279.5,87,87);


// symbols:
(lib.aa = function() {
	this.initialize();

	// レイヤー 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#666666").s("#333333").ss(1,1,1).de(-43,-43,86,86);
	this.shape.setTransform(43,43);

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(-1,-1,88,88);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;